## tla 1.3.5%2Bdfsg1

=== debian/rules ===
--- 
+++ 
@@ -17,15 +17,9 @@
 LDFLAGS             := $(shell dpkg-buildflags --get LDFLAGS)
 CFLAGS	            += -Wall
 
-autoconfdirs = src/libneon src/build-tools/gnu
-
 configure-stamp:
 	dh_testdir
-
-	for d in $(autoconfdirs) ; do \
-		rm -f $$d/config.guess $$d/config.sub ; \
-		cp /usr/share/misc/config.guess /usr/share/misc/config.sub $$d/ ; \
-	done
+	dh_autotools-dev_updateconfig
 	rm -rf debian/build
 	rm -rf src/expat/  # Let's play safe
 	rm -f src/libneon/PLUGIN/REQ
@@ -58,18 +52,10 @@
 clean:
 	dh_testdir
 	dh_testroot
+	dh_autotools-dev_restoreconfig
 	rm -f build-stamp configure-stamp
-
-	# Disable builtin expat
-	rm -rf src/expat/  # Let's play safe
-	rm -f src/libneon/PLUGIN/REQ
-	# Cleaning package
-	rm -rf debian/build
-
-	for d in $(autoconfdirs) ; do \
-		rm -f $$d/config.guess $$d/config.sub ; \
-	done
 	dh_clean
+	$(RM) -r debian/build
 
 install: build-stamp
 	dh_testdir
@@ -133,3 +119,21 @@
 
 binary: binary-indep binary-arch
 .PHONY: build-arch build-indep build clean binary-indep binary-arch binary install
+
+# Provide a repackaging target
+UPSTREAM_VERSION=1.3.5
+DFSG=dfsg1
+get-orig-source:
+	# Download upstream tarball
+	wget http://www.atai.org/gnuarch/releases/tla-$(UPSTREAM_VERSION).tar.gz
+	tar xaf tla-$(UPSTREAM_VERSION).tar.gz
+	# Remove non-free bits from source
+	rm -rf tla-$(UPSTREAM_VERSION)/src/docs-hackerlab
+	rm tla-$(UPSTREAM_VERSION)/src/hackerlab/libhackerlab/libhackerlab.doc
+	rm tla-$(UPSTREAM_VERSION)/src/build-tools/standards/standards.doc
+	# Repackage tarball
+	mv tla-$(UPSTREAM_VERSION) tla-$(UPSTREAM_VERSION)+$(DFSG)
+	tar caf tla-$(UPSTREAM_VERSION)+$(DFSG).orig.tar.xz tla-$(UPSTREAM_VERSION)+$(DFSG)
+	# Clean up temporary files
+	rm -rf tla-$(UPSTREAM_VERSION) tla-$(UPSTREAM_VERSION)+$(DFSG) tla-$(UPSTREAM_VERSION).tar.gz
+.PHONY: get-orig-source
