## tla 1.3.5+dfsg1

=== Makefile ===
ROOT = /cygdrive/c
HOME= $(ROOT)/ller
TLA = $(HOME)/prj/tla-1.2

SRC = $(TLA)/src
BUILD = $(TLA)/build

INC = -I $(SRC) -I $(BUILD)
LIB = -L $(BUILD)/hackerlab/libhackerlab

CFLAGS = $(CCFLAGS) -Wall -g $(INC)
LDFLAGS = -g $(LIB)
LDLIBS = -lhackerlab

all: ctest.exe cls.exe crm.exe cfind.exe cmkdir.exe

ctest.exe: test.c pathcompress.o
	$(CC) $(LDFLAGS) $^ $(LDLIBS) -o $@

cls.exe: cls.o vu-pathcompress.o
	$(CC) $(LDFLAGS) $^ $(LDLIBS) -o $@

crm.exe: cls.exe
	@cp $^ $@

cfind.exe: cls.exe
	@cp $^ $@

cmkdir.exe: cmkdir.o vu-pathcompress.o
	$(CC) -DPUSH=1 $(LDFLAGS) $^ $(LDLIBS) -o $@

cls.o: ls.c
	$(CC) $(CFLAGS) -DPUSH=\"pathcompress\" -c $< -o $@

cmkdir.o: mkdir.c
	$(CC) $(CFLAGS) -DPUSH=\"pathcompress\" -c $< -o $@

pathcompress.o: pathcompress.c

vu-pathcompress.o: vu-pathcompress.c pathcompress.c

clean:
	rm -f *.o *.exe *~ *.stackdump

# DO NOT DELETE

cmain.o: /usr/include/stdio.h /usr/include/_ansi.h /usr/include/newlib.h
cmain.o: /usr/include/sys/config.h /usr/include/machine/ieeefp.h
cmain.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stddef.h
cmain.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stdarg.h
cmain.o: /usr/include/sys/reent.h /usr/include/sys/_types.h
cmain.o: /usr/include/sys/types.h /usr/include/machine/types.h
cmain.o: /usr/include/sys/stdio.h /usr/include/string.h vu-pathcompress.h
lmain.o: /usr/include/stdio.h /usr/include/_ansi.h /usr/include/newlib.h
lmain.o: /usr/include/sys/config.h /usr/include/machine/ieeefp.h
lmain.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stddef.h
lmain.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stdarg.h
lmain.o: /usr/include/sys/reent.h /usr/include/sys/_types.h
lmain.o: /usr/include/sys/types.h /usr/include/machine/types.h
lmain.o: /usr/include/sys/stdio.h /usr/include/string.h
ls.o: /usr/include/assert.h /usr/include/_ansi.h /usr/include/newlib.h
ls.o: /usr/include/sys/config.h /usr/include/machine/ieeefp.h
ls.o: vu-pathcompress.h /usr/include/stdio.h
ls.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stddef.h
ls.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stdarg.h
ls.o: /usr/include/sys/reent.h /usr/include/sys/_types.h
ls.o: /usr/include/sys/types.h /usr/include/machine/types.h
ls.o: /usr/include/sys/stdio.h /usr/include/string.h
mkdir.o: /usr/include/assert.h /usr/include/_ansi.h /usr/include/newlib.h
mkdir.o: /usr/include/sys/config.h /usr/include/machine/ieeefp.h
mkdir.o: vu-pathcompress.h /usr/include/stdio.h
mkdir.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stddef.h
mkdir.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stdarg.h
mkdir.o: /usr/include/sys/reent.h /usr/include/sys/_types.h
mkdir.o: /usr/include/sys/types.h /usr/include/machine/types.h
mkdir.o: /usr/include/sys/stdio.h /usr/include/string.h
pathcompress.o: /usr/include/stdio.h /usr/include/_ansi.h
pathcompress.o: /usr/include/newlib.h /usr/include/sys/config.h
pathcompress.o: /usr/include/machine/ieeefp.h
pathcompress.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stddef.h
pathcompress.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stdarg.h
pathcompress.o: /usr/include/sys/reent.h /usr/include/sys/_types.h
pathcompress.o: /usr/include/sys/types.h /usr/include/machine/types.h
pathcompress.o: /usr/include/sys/stdio.h /usr/include/unistd.h
pathcompress.o: /usr/include/sys/unistd.h /usr/include/sys/features.h
pathcompress.o: /usr/include/string.h /usr/include/errno.h
pathcompress.o: /usr/include/sys/errno.h pathcompress.h
ptest.o: /usr/include/stdio.h /usr/include/_ansi.h /usr/include/newlib.h
ptest.o: /usr/include/sys/config.h /usr/include/machine/ieeefp.h
ptest.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stddef.h
ptest.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stdarg.h
ptest.o: /usr/include/sys/reent.h /usr/include/sys/_types.h
ptest.o: /usr/include/sys/types.h /usr/include/machine/types.h
ptest.o: /usr/include/sys/stdio.h /usr/include/errno.h
ptest.o: /usr/include/sys/errno.h pathcompress.h
vu-pathcompress.o: /usr/include/stdio.h /usr/include/_ansi.h
vu-pathcompress.o: /usr/include/newlib.h /usr/include/sys/config.h
vu-pathcompress.o: /usr/include/machine/ieeefp.h
vu-pathcompress.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stddef.h
vu-pathcompress.o: /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/include/stdarg.h
vu-pathcompress.o: /usr/include/sys/reent.h /usr/include/sys/_types.h
vu-pathcompress.o: /usr/include/sys/types.h /usr/include/machine/types.h
vu-pathcompress.o: /usr/include/sys/stdio.h /usr/include/string.h
vu-pathcompress.o: /usr/include/errno.h /usr/include/sys/errno.h
vu-pathcompress.o: pathcompress.c /usr/include/unistd.h
vu-pathcompress.o: /usr/include/sys/unistd.h /usr/include/sys/features.h
vu-pathcompress.o: pathcompress.h
