## tla 1.3.5+dfsg

=== debian/changelog ===
tla (1.3.5+dfsg-18) unstable; urgency=low

  * QA upload
  * change to "3.0 (quilt)" format
  * add copyright holders and license for embedded copy of
    libneon (0.24.7) to debian/copyright
  * support build-arch and build-indep
  * debhelper compatibility up to 7
  * use dpkg-buildflags

 -- Bernhard R. Link <brl@pcpool10.mathematik.uni-freiburg.de>  Mon, 14 Nov 2011 15:48:43 +0100

tla (1.3.5+dfsg-17) unstable; urgency=low

  * QA upload.
  * Although `tla add' is valid, updated the help to indicate that
    `tla add-id' is the preferred command (Closes: #317128)
  * Fix malformed comment in tla-doc/handbook/index.html
    (Closes: #321887)
  * Add missing #include to tmp-files.c, closes Ubuntu bug #832877

 -- Tim Gokcen <hexetic@gmail.com>  Thu, 08 Sep 2011 15:10:09 -0400

tla (1.3.5+dfsg-16) unstable; urgency=low

  * QA upload.
  * tar --preserve is deprecated; use --preserve-permissions and
    --preserve-order instead (closes: #605048).
  * Changed section to vcs, since that's what it is
  * Fix lintian warnings/errors, including:
    - Added debian/README.source (from dpatch default)
    - Moved #include patches into dpatch system
    - Added dversionmangle to debian/watch
    - Added ${misc:Depends} to debian/control
    - Updated debhelper version to 5 (no changes needed)
    - Removed 3x .SP macros from tla manpage
    - Fixed spelling errors in code C-strings
    - Fixed tla-gpg-check hyphenization errors
    - tla-doc is in doc-base section Programming
    - Made package version 1.0 explicit. Hopefully someone (maybe me)
      will convert to pkg version 3.0 later
    - Removed -rpath from libneon build

 -- Tim Gokcen <hexetic@gmail.com>  Fri, 26 Nov 2010 16:20:03 -0500

tla (1.3.5+dfsg-15) unstable; urgency=low

  * QA upload.
  * Use system libexpat instead of bundled one (closes: #560940).

 -- Sylvain Beucler <beuc@beuc.net>  Mon, 14 Dec 2009 17:27:55 +0100

tla (1.3.5+dfsg-14) unstable; urgency=low

  * QA upload.
  * Add debian/patches/06-relibtoolize.dpatch to 00list (closes: #493702).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 16 Aug 2008 23:43:03 +0200

tla (1.3.5+dfsg-13) unstable; urgency=low

  * QA upload.
  * debian/patches/06-relibtoolize.dpatch: relibtoolize (closes: #493702).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 14 Aug 2008 21:37:21 +0200

tla (1.3.5+dfsg-12) unstable; urgency=low

  * Fix implicit pointer conversions (closes: #492402)

 -- dann frazier <dannf@debian.org>  Fri, 25 Jul 2008 14:28:51 -0600

tla (1.3.5+dfsg-11) unstable; urgency=low

  * Really fix 491373 the "right way" - upstream recommends just to
    commenting out the test in the invariant section, so doing so.
    (closes: #491373)

 -- Adam Majer <adamm@zombino.com>  Wed, 23 Jul 2008 11:26:32 -0500

tla (1.3.5+dfsg-10) unstable; urgency=low

  * Change maintainer to QA as the package is now orphaned.
  * Fix a FTBFS due to a too strict test on memory alignment.
    We now use alignment as reported by __alignof__ instead of trying to
    use a guessed value. (closes: #491373)
  * Update config files *properly* by not polluting the diff.gz and thus
    creating files as obsolete as the developer's machine. Use build
    machine versions instead.

 -- Adam Majer <adamm@zombino.com>  Tue, 22 Jul 2008 13:40:12 -0500

tla (1.3.5+dfsg-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix bashisms. (Closes: #459140).
    + Add build-dep on time.
    * 04_bashisms.dpatch - use printf instead of echo -e.

 -- Barry deFreese <bddebian@comcast.net>  Fri, 07 Mar 2008 10:40:50 -0500

tla (1.3.5+dfsg-9) unstable; urgency=low

  * Fixed description formatting (72 char wide) and spelling.
  * Fixed regression from -4 when libneon26 from Debian was used
    instead of the bundled libneon. See #402952. Reverted to using the
    bundled libneon instead as we are too close to releasing Etch to
    fiddle with this subsystem.

 -- Adam Majer <adamm@zombino.com>  Mon, 18 Dec 2006 14:28:10 -0600

tla (1.3.5+dfsg-8) unstable; urgency=low

  * New maintainer (closes: #351582)
  * Build-Depend on new neon26 dev package so link with the correct
    libneon26 as the soname changed. This really closes #402251.
  * No longer depend on diff as that is an essential package

 -- Adam Majer <adamm@zombino.com>  Sat,  9 Dec 2006 22:00:53 -0600

tla (1.3.5+dfsg-7) unstable; urgency=low

  * Rebuild in a clean chroot (Closes: #402251).

 -- Daniel Baumann <daniel@debian.org>  Sat,  9 Dec 2006 14:51:00 +0100

tla (1.3.5+dfsg-6) unstable; urgency=low

  * Incorporate the neon24 path escape function into
    03-neon26.dpatch so that WebDAV will work with neon26.

 -- Clint Adams <schizo@debian.org>  Sat,  2 Dec 2006 17:10:22 -0500

tla (1.3.5+dfsg-5) unstable; urgency=low

  * QA upload. 
  * Build-depend on libneon26-gnutls-dev.

 -- Clint Adams <schizo@debian.org>  Sat,  2 Dec 2006 02:20:25 -0500

tla (1.3.5+dfsg-4) unstable; urgency=low

  * Adding 01-segfault-ia64.dpatch and 02-alignment-hppa-sparc.dpatch to fix
    FTBFS on hppa, ia64, and sparc (Closes: #382465).
  * The testsuite was disabled on a selection of archs in the last revision
    because it's know that the testsuite is broken on some archs. E.g. for arm,
    this is definitely the case. In lack of testing possibilities, I'm
    re-enabling the testsuite on hppa, ia64 and sparc, because it's not know
    if the testsuite do run or not, now that the FTBFS seems to be fixed. If
    they fail, the testsuite must be broken on those archs too (assumed the
    FTBFS fix is sufficient :)

 -- Daniel Baumann <daniel@debian.org>  Mon, 28 Aug 2006 09:14:00 +0200

tla (1.3.5+dfsg-3) unstable; urgency=low

  * Temporary skipping archs where the testsuite is broken (Closes: #382465).

 -- Daniel Baumann <daniel@debian.org>  Fri, 11 Aug 2006 16:49:00 +0200

tla (1.3.5+dfsg-2) unstable; urgency=low

  * Corrected depends (diff is the binary, not diffutils).

 -- Daniel Baumann <daniel@debian.org>  Sun,  6 Aug 2006 13:03:00 +0200


