=== debian/control ===
Source: tla
Section: vcs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, time, libexpat1-dev
Standards-Version: 3.9.2

Package: tla
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, patch
Recommends: tla-doc
Suggests: gnupg, ssh
Description: GNU Arch revision control system
 Arch is a modern replacement for CVS, specifically designed for the
 distributed development. It supports development on branches,
 distributed repositories, changeset-oriented project management,
 and of course, file and directory renaming.

Package: tla-doc
Section: doc
Depends: ${misc:Depends}
Architecture: all
Description: GNU Arch revision control system (documentation)
 This package contains the documentation for the GNU arch revision
 control system.
