## tla 1.3.5+dfsg1

=== debian/changelog ===
tla (1.3.5+dfsg1-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:47:31 +0000

tla (1.3.5+dfsg1-2) unstable; urgency=medium

  * QA upload.
  * Add debian/patches/0014-do-not-show-the-build-date.patch.
  * debian/control: Suggest openssh-client instead of ssh.
    Thanks to Magnus Holmgren for the report. Closes: #417441.
  * Add debian/patches/0015-changeset-fd-leak.patch from Sergio Gelato to
    close file descriptors before they go out of scope. Closes: #522082.

 -- Santiago Vila <sanvila@debian.org>  Tue, 01 Sep 2015 22:07:06 +0200

tla (1.3.5+dfsg1-1) unstable; urgency=medium

  * QA upload.
  * Imported Upstream version 1.3.5+dfsg1
    - Removes two files with a non-free license. Closes: #709500
  * Add get-orig-source target to debian/rules
  * Change download location for upstream tarball in debian/copyright
  * Update debian/watch file
  * Add homepage to debian/control
  * Remove debian/README.source, it's no longer needed
  * Add debian/source/options and use xz compression
  * Remove unnecessary clean commands
  * Use debhelper for updating autotools files

 -- Tobias Quathamer <toddy@debian.org>  Fri, 24 Oct 2014 13:23:28 +0200
