=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: tla
 Section: vcs
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 7), autotools-dev, time, libexpat1-dev
 Standards-Version: 3.9.2
+Homepage: http://savannah.gnu.org/projects/gnu-arch/
 
 Package: tla
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, patch
 Recommends: tla-doc
-Suggests: gnupg, ssh
+Suggests: gnupg, openssh-client
 Description: GNU Arch revision control system
  Arch is a modern replacement for CVS, specifically designed for the
  distributed development. It supports development on branches,
