=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,6 @@
 	dh_autotools-dev_restoreconfig
 	rm -f build-stamp configure-stamp
 	dh_clean
-	$(RM) -r debian/build
 
 install: build-stamp
 	dh_testdir
