## tla 1.3.5+dfsg2

=== debian/changelog ===
tla (1.3.5+dfsg2-1) unstable; urgency=medium

  * QA upload.
  * Repack via Files-Excluded.

  [ Bo YU ]
  * Use dh_update_autotools_config/dh_autoreconf_clean to update config
    correctly. (Closes: #1071544)

 -- Bastian Germann <bage@debian.org>  Thu, 23 May 2024 13:36:38 +0200

tla (1.3.5+dfsg1-4) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Drop use of autotools-dev debhelper.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Use ?= for assignments to architecture variables.
  * Drop no longer needed autotools-dev build dependency.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 17 May 2024 12:07:34 +0200

tla (1.3.5+dfsg1-3) unstable; urgency=medium

  * QA upload.
  * Fix building with -Werror=implicit-function-declaration.
    (Closes: #1066352)
  * Fix building twice in a row.  (Closes: #1046988)
  * Declare Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 04 Apr 2024 22:26:37 +0200

tla (1.3.5+dfsg1-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 15:31:48 +0200
