=== debian/control ===
Source: tla
Section: vcs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libexpat1-dev,
               time,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: http://savannah.gnu.org/projects/gnu-arch/
Vcs-Browser: https://salsa.debian.org/debian/tla
Vcs-Git: https://salsa.debian.org/debian/tla.git

Package: tla
Architecture: any
Depends: gawk,
         patch,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: tla-doc,
Suggests: gnupg,
          openssh-client,
Description: GNU Arch revision control system
 Arch is a modern replacement for CVS, specifically designed for the
 distributed development. It supports development on branches,
 distributed repositories, changeset-oriented project management,
 and of course, file and directory renaming.

Package: tla-doc
Section: doc
Depends: ${misc:Depends},
Architecture: all
Description: GNU Arch revision control system (documentation)
 This package contains the documentation for the GNU arch revision
 control system.
