=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEB_HOST_GNU_TYPE   := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE  := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_BUILD_ARCH      := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
   CROSS = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 else
@@ -19,9 +19,8 @@
 
 configure-stamp:
 	dh_testdir
-	dh_autotools-dev_updateconfig
+	dh_update_autotools_config
 	rm -rf debian/build
-	rm -rf src/expat/  # Let's play safe
 	rm -f src/libneon/PLUGIN/REQ
 	mkdir debian/build
 	cd debian/build && \
@@ -52,9 +51,10 @@
 clean:
 	dh_testdir
 	dh_testroot
-	dh_autotools-dev_restoreconfig
 	rm -f build-stamp configure-stamp
+	dh_autoreconf_clean
 	dh_clean
+	$(RM) -r debian/build
 
 install: build-stamp
 	dh_testdir
