=== debian/watch ===
# watch control file for uscan

version=3
opts=repacksuffix=+dfsg2,dversionmangle=auto \
  http://www.atai.org/gnuarch/releases/tla-(.*)\.tar\.gz
